#include "main.h"

#include "STM32_SPI.h"


extern SPI_HandleTypeDef hspi1;
/*@Return unsigned char Status of Operation */
/*@ Parameter unsigned char* pointer to buffer parameter unsigned short number bytes required to write */
unsigned char STM32_SPI_Write(unsigned char *SPI_TxBuff,unsigned short Length)
{

	HAL_SPI_Transmit(&hspi1,SPI_TxBuff,Length,100);
	return(SPI_OPERATION_PASS);
}



/*@Return unsigned char Status of Operation */
/*@ Parameter unsigned char* pointer to buffer parameter unsigned short number bytes required to read */
unsigned char STM32_SPI_Read(unsigned char *SPI_RxBuff,unsigned short Length)
{

	HAL_SPI_Receive(&hspi1,SPI_RxBuff,Length,100);
	return(SPI_OPERATION_PASS);
}
